Android compatibility with CRM

Android compatibility with CRM

 

Android versions, CRM 2016 and CRM for phones express app..Help Required!

Questions can quickly arise regarding the compatibility of Androids with CRM 2016 as more and more businesses use CRM on the move.

Android pic

 

As of 1st May 2016 I can provide you with a summary on what is and what isn’t compatible for CRM 2016 on android operating systems. Again, as of this date the Microsoft compatibility matrix  ( https://support.microsoft.com/en-us/kb/3019557 ) does not mention that 5.1 is not currently supported and it also does not differentiate between the Phones express and CRM for phones apps. This can quickly cause confusion for all involved.

The Google play store have also got it wrong too – This link (https://play.google.com/store/apps/details?id=com.microsoft.crm.crmhost) states Android version 4.0 on-wards is required with CRM for Phones Express: But we know 5.1 is not supported with Phones express so this is incorrect.

 

CRM for Phones icon

 

  • Android 5.1 is not currently supported with CRM for Phones App with MS CRM 2016? Correct
  • Android 5.0 is supported with CRM for Phones App with MS CRM 2016? Correct
  • Android KitKat 4.4 is supported with CRM for Phones App with MS CRM 2016? Correct
  • Is CRM for phones express supported with MS CRM 2016 on any Android devices? No

Key Point to remember – CRM for phones express is designed to work with only Microsoft Dynamics CRM 2013 and Microsoft Dynamics CRM 2015. The CRM for phones app (Not express) is simply a newer app which is aimed to work with CRM 2015 and 2016.